Summary: Config file for swup.
Name: swupconf
Version: 2.0
Release: 7tr
License: GPL
Group: System/Base
Source0: swup.conf
Source1: trustix.pub.gpg
Source2: trustix-testing.pub.gpg
Source3: trustix-devel.pub.gpg
Source4: trustix-contrib.pub.gpg
PreReq: swup, gnupg
ExclusiveOs: Linux
BuildRoot: /var/tmp/%{name}-root
BuildArch: noarch

%description
This is the configuration file for swup. You can't have one without the other.

%prep

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/swup/gnupg
install -m 0644 %{SOURCE0} $RPM_BUILD_ROOT/etc/swup/
install -c -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/swup/
install -c -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/swup/
install -c -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/etc/swup/
install -c -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/etc/swup/
for f in pubring.gpg pubring.gpg~ secring.gpg trustdb.gpg; do
    touch $RPM_BUILD_ROOT/etc/swup/gnupg/$f
done

%post
/usr/sbin/swup --import-key /etc/swup/trustix.pub.gpg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/swup/swup.conf
%dir /etc/swup/gnupg
%ghost /etc/swup/gnupg/*
%config /etc/swup/trustix.pub.gpg
%config /etc/swup/trustix-testing.pub.gpg
%config /etc/swup/trustix-devel.pub.gpg
%config /etc/swup/trustix-contrib.pub.gpg

%changelog
* Wed Sep  8 2004 Chr. Toldnes <christht at trustix dot org> 2.6-7tr
- fixed comments in default config

* Mon Nov  3 2003 Chr. Toldnes <christht at trustix dot org> 2.0-6tr
- Rmoved tawie keys
- tawie-trustix in swup.conf

* Thu Oct 30 2003 Chr. Toldnes <christht at trustix dot org> 2.0-5tr
- Moved gpg stuff from swup to this package.
- Added new trustix keys.

* Thu Oct  2 2003 Chr. Toldnes <christht at tawie dot org> 2.0-4tsl
- Some url changed in the default swup.conf

* Sun Sep 28 2003 Chr. Toldnes <christht at tawie dot org> 2.0-3tsl
- Port to tawie

* Sat Sep 27 2003 Chr. Toldnes <christht at trustix dot com> 2.0-2tr
- Url fixes

* Mon Jun 30 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0-1tr
- Added paths to 2.0.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.9.5-1tr
- Added %%defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.9.2-2tr
- Big rebuild

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 1.9.2-1em
- Removed deprecated *group* options.

* Thu Apr 24 2003 Christian H. Toldnes <christht at trustix dot com> 1.9.0-4ct
- Removed the flush_cache option

* Fri Apr 11 2003 Erlend Midttun <erlendbm at trustix dot com> 1.9.0-3em
- flush_cache is now "yes" due to bug.

* Fri Apr 11 2003 Erlend Midttun <erlendbm at trustix dot com> 1.9.0-2em
- Made version independent of release_version

* Wed Apr  9 2003 Erlend Midttun <erlendbm at trustix dot com>
- s/priority/class
- Removed logfile
- flush_cache is now "no"

* Thu Feb 13 2003 Christian H. Toldnes <christht at trustix dot com>
- Removed passwd_file entry.

* Fri Nov 15 2002 Erlend Midttun <erlendbm at trustix dot com>
- Fix paths.

* Fri Nov  1 2002 Christian H. Toldnes <christht at trustix dot com>
- Initial release of this separate config-package.
- Version is release_version
- Config for tsl 2.0 prereleases
